# Written by Phil Frost <indigo@bitglue.com>. Public Domain. If you like this
# software please consider giving money to Unununium <http://unununium.org/>.

'''Input module to load a graph from a Python pickle.'''

import sys
import os
try: import cPickle as pickle
except ImportError: import pickle

def print_help():
    '''Print usage help.'''
    print 'usage: %s [...] -i pickle FILENAME -o [...]' % os.path.basename(sys.argv[0])


def parse_options(args):
    '''Parse command line options to the output module.

    What this returns will later be passed to get_nodes.
    '''
    if len(args) != 1:
        print >> sys.stderr, 'error: pickle input module takes exactly one argument'
        sys.exit(1)
    return args[0]


def get_nodes(pickleFile):
    '''Return a list of nodes to graph.

    `options` is the result of calling parse_options earlier.
    '''
    return pickle.load(open(pickleFile))
